$Id: ChangeLog.txt 194 2022-08-21 13:51:41Z arithmandar $
Atlas, a World of Warcraft instance map browser
Copyright 2005 ~ 2010 - Dan Gilbert <dan.b.gilbert@gmail.com>
Copyright 2010 - Lothaer <lothayer@gmail.com>, Atlas Team
Copyright 2011 ~ 2022 - Arith Hsu, Atlas Team <atlas.addon at gmail.com>

==============
= Change Log =
==============

v1.51.06 (Aug. xx, 2022)
------------------------
- Added WOLTKC maps' achievements
- Retail East / West maps revamp
- Fixed horde Kalimor map's routing path, remove path between Everlook and Orgrimmar; added below path:
  - Everlook and Valormok
  - Valormok and Thunder Bluff

v1.51.05 (Aug. 21, 2022)
------------------------
- Fixed WOLTKC's Ship / Zeppelin route path
- Fixed BCC Alliance sailing path, Auberdine's path should be to Menethil Harbor, not Stornwind City
- Pandaria map revamp

v1.51.04 (Aug. 20, 2022)
------------------------
- Added support for WOLTKC 3.4.0

v1.51.03 (Aug. 17, 2022)
------------------------
- Toc update to support WoW 9.2.7

v1.51.02 (Jul. 27, 2022)
------------------------
- Updated quest ID to get taxi nodes in Zandalar for Alliance's faction

v1.51.01 (Jul. 26, 2022)
------------------------
- Added taxi noodes in Zandalar for Alliance's faction:
 - Deadwood Cove
 - Veiled Grotto
 - Mugamba Overlook
 - Verdant Hollow
 - Mistvine Ledge
 - Grimwatt's Crash
 - Vulture's Nest
 - Shatterstone Harbor

v1.51.00 (Jul. 24, 2022)
------------------------
- Retail ToC update to support WoW 9.2.5
- Classic ToC update to support WoW 1.14.3
- Added sailing rout to Alliance Kul Tiras map

v1.50.11 (May 12, 2022)
------------------------
- Update Horde's Nazjatar map
  - Added taxi node: The Tidal Conflux

v1.50.10 (Apr. 10, 2022)
------------------------
- Added horde's taxi nodes in Kul Tiras introduced with Horde War Campaign
  - Stonefist Watch
  - Wolf's Den
  - Windfall Cavern
  - Hillcrest Pasture
  - Stonetusk Watch
  - Mudfisher Cove
  - Swiftwind Post

v1.50.09 (Apr. 05, 2022)
------------------------
- Added Horde's taxi node - Swiftwind Post in Drustvar

v1.50.08 (Mar. 29, 2022)
------------------------
- Added cosmos maps for Classic and BCC
- Updated Horde East Map in Classic

v1.50.07 (Mar. 23, 2022)
------------------------
- Correction on config's expression

v1.50.06 (Mar. 23, 2022)
------------------------
- BCC ToC update to support WoW 2.5.4

v1.50.05 (Mar. 20, 2022)
------------------------
- Horde Kul Tiras map update

v1.50.04 (Mar. 19, 2022)
------------------------
- Added option toggling for Transportation maps, allowing you to show only your faction's taxi maps, or show all factions' maps.
- Horde Zandalar map update

v1.50.03 (Mar. 3, 2022)
------------------------
- Fixed version info

v1.50.02 (Mar. 2, 2022)
------------------------
- Fine-tuned taxi noeds in Northrend

v1.50.01 (Mar. 1, 2022)
------------------------
- Maps revamp: Northrend

v1.50.00 (Feb. 23, 2022)
------------------------
- Toc update to support WoW 9.2.0

v1.49.07 (Feb. 20, 2022)
------------------------
- Added tzxi nodes' coordinates for Ardenweald, Bastion, Maldraxxus, Revendrethmaps
- Correct the taxi node name in Maldraxxus and added missing node of Renounced Bastille
- Branch data file into 3, each for specific WoW version.

v1.49.06 (Feb. 13, 2022)
------------------------
- Updated Classic and BCC maps to add ship and Zeppelin's sailing path

v1.49.05 (Feb. 12, 2022)
------------------------
- Added BCC's Eastern Kingdoms and Kalimdor mpas

v1.49.04 (Feb. 9, 2022)
------------------------
- Support multiple ToC
- BCC ToC update to support WoW 2.5.3
- Classic ToC update to support WoW 1.14.2
- Fixed zone name issues in Classic Era and BCC that Tanaris Desert should be "Tanaris" only

v1.49.03 (Feb. 3, 2022)
------------------------
- ToC update to support WoW 9.1.5

v1.49.02 (Jul. 01, 2021)
------------------------
- Added Shadowlands' taxi maps: Ardenweald, Bastion, Maldraxxus, Revendreth

v1.49.01 (Jun. 30, 2021)
------------------------
- ToC update to support WoW 9.1.0
- Added Nazjatar which was missing from BfA

v1.49.00 (May 22, 2021)
------------------------
- ToC update to support WoW 9.0.5
- Support WoW Classic Era and TBC

v1.48.00 (Oct. 18, 2020)
------------------------
- ToC update to support WoW 9.0.1

v1.47.03 (Apr. 21, 2020)
------------------------
- Eastern Kingdom map revamped

v1.47.02 (Jan. 30, 2020)
------------------------
- Updated Daralan map's transportation destinations
- Updated Orgimar map's transportation destinations
- Updated Stormwind City map's transportation destinations

v1.47.01 (Jan. 23, 2020)
------------------------
- Added BfA transportation maps

v1.47.00 (Jan. 20, 2020)
------------------------
- ToC update to support WoW 8.3.0

v1.46.03 (Jan. 13, 2020)
------------------------
- Removed Emerald Sanctuary from classic Kalimdor maps

v1.46.02 (Jan. 11, 2020)
------------------------
- Merge WoW classic's map data and re-create WoW classic's maps

v1.46.01 (Jan. 08, 2020)
------------------------
- Added missing Argus map image

v1.46.00 (Jan. 07, 2020)
------------------------
- ToC update to support WoW 8.2.5
- Added Argus

v1.45.00 (Sep. 04, 2019)
------------------------
- ToC update to support WoW 8.2.0

v1.44.01 (Dec. 18, 2018)
------------------------
- ToC update to support WoW 8.1.0

v1.44.00 (Aug. 09, 2018)
------------------------
- ToC update to support WoW 8.0.1
- MapID convert to uiMapID

v1.43.01 (Jan. 19, 2018)
------------------------
- Fixed to support WoW 7.3.5
- Translation update:
  - Korean (netaras)

v1.43.00 (Aug. 30, 2017)
------------------------
- ToC update to support WoW 7.3.0

v1.42.00 (Jun. 29, 2017)
------------------------
- Updated to support Atlas 1.42.00
- Translation update:
  - Korean (netaras)

v1.40.00 (Apr. 06, 2017)
------------------------
- Added portal information in Deliverance Point, Broken Shore

v1.39.02 (Mar. 30, 2017)
------------------------
- Added Warrior's new jumping destination - Deliverance Point, Broken Shore

v1.39.01 (Mar. 28, 2017)
------------------------
- Fixed node number for Windrunner's Sanctuary, Chamber of the Guardian, 
  Greyfang Enclave, and Portal to Dalaran in Broken Isles Maps
- Translation update:
  - Simplified Chinese (ananhaid)

v1.39.00 (Mar. 27, 2017)
------------------------
- Toc update to support WoW 7.2

v1.38.01 (Mar. 22, 2017)
------------------------
- Updated Broken Isles maps for taxi nodes in the Broken Shore (7.2)
- Added Broken Isles' large map
- Added Surarma's large map

v1.38.00 (Mar. 16, 2017)
------------------------
- Translation update:
  - Korean (netaras)

v1.37.01 (Jan. 24, 2017)
------------------------
- Added continent maps' achievements (exploration and missions)

v1.37.00 (Jan. 23, 2017)
------------------------
- Added Hunter's taxi nodes in Suramar
- Translation update:
  - Korean (netaras)

v1.36.01 (Jan. 03, 2017)
------------------------
- Added Astravar Harbor in Suramar

v1.36.00 (Jan. 01, 2017)
------------------------
- Added Evermoon Terrace, this is available after the Waning Crescent is destroyed
- Translation update:
  - Korean (netaras)
  - German (pas06)
  
v1.35.01 (Nov. 11, 2016)
------------------------
- Map revamped:
  - Dalaran
- Remove portal path from Outland to Badlands
- Remove portal path from Shrine of Two Moons to Ratchet
- Added the cosmos maps

v1.35.00 (Oct. 27, 2016)
------------------------
- Toc update to support WoW 7.1.0
- Added Hunter's taxi nodes via the Great Eagle in Broken Isles
- Added Mage's portals in Broken Isles

v1.34.05 (Oct. 17, 2016)
------------------------
- Added Trueshot Lodge's coordinate
- Translation update:
  - Traditional Chinese

v1.34.04 (Oct. 03, 2016)
------------------------
- Added Falanaar's 2nd / 3rd entrances' location
- Translation update:
  - Russian (dartraiden)
  
v1.34.03 (Sep. 23, 2016)
------------------------
- Added taxi nodes' coordinates to Broken Isles' maps
- Translation update:
  - German (pas06)
- Added portal to Dalaran in Stormheim

v1.34.02 (Sep. 20, 2016)
------------------------
- Added Suramar map to include taxi nodes and teleportation
- Translation update:
  - German (pas06)
  - French (onslaugh2)

v1.34.01 (Sep. 08, 2016)
------------------------
- Added coordinates of Hunter- and Deathknight-only's taxi points to broken isles maps
- Adjust Azurewing Repose's position in broken isles maps
- Added information regarding to warrior's landing and jumping points in broken isles
- Translation update:
  - German (pas06)

v1.34.00 (Aug. 31, 2016)
------------------------
- Added class-only taxi nodes in Broken Isles:
  - Hunter, Death Knight
- Added Dalaran map
- Translation update:
  - German (pas06)

v1.33.03 (Aug. 18, 2016)
------------------------
- Maps revamped:
  - Stormwind City
  - Orgrimmar
- Large size of map added (feature will be enabled in Atlas 1.34.00):
  - Stormwind City
  - Orgrimmar
- New translation language added:
  - Brazilian Portuguese (Markllan)
  - Simplified Chinese (ananhaid)
- Added faction info to the maps
- Added portal to Dalaran in Stormwind City and Orgrimmar maps

v1.33.02 (Aug. 06, 2016)
------------------------
- Revamped Broken Isles maps
- Added WorldMapID info
- Added Emerald Dreamway map's coordinates

v1.33.01 (Jul. 24, 2016)
------------------------
- Enable Broken Isles maps and added nodes' coordinates
- Added Druid-Only's Emerald Dreamway map;
  added Druid-Only's portals in Kalimdor, Eastern Kingdoms, and Northrend
- Translation update:
  - German (pas06)

v1.33.00 (Jul. 19, 2016)
------------------------
- Toc updated to support WoW Legion pre-patch (7.0.3)
- Added LibBabble-Faction lib to replace the faction looking-up with AtlasIngameLocales's GetFactionInfoByID
- Replace punctuations by using Atlas' localization
- Translation update:
  - Simplified Chinese (ananhaid)
  - German (pas06)

v1.32.06 (Jul. 01, 2016)
------------------------
- Minor fixes:
  - Orgrimmar map: changed portal of Nordrassil in purple text color
  - Stormwind City map: changed subway's text from TRAIN to DUNGEON_FLOOR_DEEPRUNTRAM1 (Deeprun Tram)
- Maps revamped:
  - Both Alliance and Horde's Draenor maps now use faction color for taxi nodes
- Added Legion - Broken Isles' taxi nodes data and maps
 (but will be excluded from official package; for now only available in SVN's latest revisions)
- Translation now being managed on curseforge: http://wow.curseforge.com/addons/atlas-transportation/localization/
- Added itIT, ptBR, and koKR translation files (placeholder until we get any translation added)

v1.32.05 (May 26, 2016)
------------------------
- Corrected the poral from Orgrimmar City to Draenor, the destination should be Ashran
- Added Orgrimmar map

v1.32.04 (May 25, 2016)
------------------------
- Corrected the poral from Stormwind City to Draenor, the destination should be Ashran
- Added Stormwind City map

v1.32.03 (May 18, 2016)
------------------------
- Added Ashran maps

v1.32.02 (May 12, 2016)
------------------------
- Removed Axefall from Aliance Draenor map
- Re-numbering Draenor taxi nodes as Akeeta's Hovel is supposed to be in Shadowmoon Valley
- Added Draenor maps' taxi node info

v1.32.01 (Apr. 25, 2016)
------------------------
- Re-ordered taxi points in Tanaan Jungle
- Added Throne of Kil'jaeden

v1.32.00 (Jul. 13, 2015)
------------------------
- TOC update to support WoW 6.2
- Draenor Alliance / Horde map updated
    - added taxi nodes in Tanaan Jungle

v1.31.03 (Mar. 01, 2015)
------------------------
- Draenor Alliance map updated
    - added transportation from Lunarfall to Everbloom Wilds
    - added trabsportation from Lunarfall to Stormshield

v1.31.02 (Mar. 01, 2015)
------------------------
- TOC update to support WoW 6.1

v1.31.01 (Nov. 24, 2014)
-----------------------
- Eastern Kingdoms maps updated
    - Added the Nethergarde Keep (Alliance) and Dreadmaul Hold (Horde) nodes back

v1.31.00 (Nov. 10, 2014)
-----------------------
- Added Draenor maps
- Eastern Kingdoms maps updated
    - Taxi nodes - Nethergarde Keep (Alliance) and Dreadmaul Hold (Horde) are gone
    - Added portal path: 
        - Dreadmaul Hold to Orgrimmar
	- Stormwind City to Shadowmoon Valley (Alliance)
- Horde Kalimdor map updated:
	- Orgrimmar to Frostfire Ridge (Horde)


v1.30.01 (Oct. 18, 2014)
-----------------------
- Fix code syntax issue


v1.30.00 (Oct. 15, 2014)
-----------------------
- TOC update to support WoW 6.0
- Update Portals
    - Blasted Lands portals have been changed to Hellfire Peninsula Portals. 
    - Added Shattered Beachhead in Blasted Lands
    - Added Shattered Landing in Blasted Lands


v1.26.04 (Dec. 31, 2013)
-----------------------
- Update Pandaria map
    - Update Violet Rise and Dawnseeker Promontory portals' positions
    - Added portal from Shado-Pan Garrison to Shan'ze Dao


v1.26.03 (Dec. 22, 2013)
-----------------------
- Added portal for Sparkrocket Outpost <-> Ruins of Ogudei
- Added comment to Lion's Landing and Domination Point
- Added portal for Lion's Landing <-> The SkyFire and Stormwind City
- Added portal for Thunder Cleft <-> Shrine of Two Moons, Ruins of Ogudei, and Orgrimmar


v1.26.02 (Dec. 06, 2013)
-----------------------
- Update Pandaria map to add transportation to Ratchet


v1.26.01 (Nov. 27, 2013)
-----------------------
- Update Pandaria Alliance map - Lion's Landing position;
  also added the transportation from Lions' Landing to Shrine of Seven Stars
- Update Pandaria Horde map - added the transportation from Thunder Cleft to Shrine of Two Moons


v1.26.00 (Sep. 09, 2013)
-----------------------
- TOC update to support WoW 5.4
- Pandaria map update to include Timeless Isle
- Added transportation nodes on Timeless Isle


v1.25.01 (May 24, 2013)
-----------------------
- Fixed Isle of Thunder portal destinations


v1.25.00 (May 21, 2013)
-----------------------
- TOC update to support WoW 5.3
- Update Pandaria transportation nodes


v1.24.00 (Mar. 05, 2013)
-----------------------
- TOC update to support WoW 5.2
- Pandaria maps updated
    - Updated with new land base image
    - Added Alliance new portal - Violet Rise (Isle of Thunder)
    - Added Alliance new flight node - Lion's Landing (Krasarang Wilds), Beeble's Wreck (Isle Of Giants)
    - Added Horde new portal - Dawnseeker Promontory (Isle of Thunder)
    - Added Horde new flight node - Domination Point (Krasarang Wilds), Bozzle's Wreck (Isle Of Giants)
    - Changed Horde's FP Hellscream's Fist (Townlong Steppes) to Serpent's Spine (Kun-Lai Summit)

    
v1.23.0 (Dec. 07, 2012)
-----------------------
- TOC update to support WoW 5.1
- Update Pandaria maps:
    - Added Shado-Pan Rope position
- Update Outland maps:
    - Added portal from Shattrath City to Stormwind and Orgrimmar

    
v1.22.2 (Oct. 17, 2012)
-----------------------
- Update Pandaria map:
    - Added the ropes and Abandoned Kite trabsportation nodes
    - Added the Whispercloud's Balloon nodes
    - Added transportation portal path from Shrine of Seven Stars to 
      Shattrath City and Dalaran

      
v1.22.1 (Oct. 10, 2012)
-----------------------
- Update Pandaria maps and legend info


v1.22.0 (Sep. 25, 2012)
-----------------------
- Update TOC to support WoW 5.0
- Added Pandaria transportation maps


v1.21.1 (Dec. 06, 2011)
-----------------------
- Added Darkmoon Faire Island map and transportation information


v1.21.0 (Nov. 29, 2011)
-----------------------
- Update TOC to support WoW 4.3
- Splitted from core Atlas addon to be a separated plugin addon
- Transportation maps updated:
    - Northrend - Alliance: Added portal from Dalaran to Stormwind City
    - Northrend - Horde: Added portal from Dalaran to Ogrimmar
    - Kalimdor - Alliance: Fixed the portal mark from Darnassus / Exodar to
      the Dark Portal

      
v1.20.1 (Sep. 09, 2011)
-----------------------


v1.20.0 (Jun. 28, 2011)
-----------------------
- TOC update to support WoW 4.2
- Maps added / updated:
    - Transportation maps update (arith)

    
v1.19.2 (May 30, 2011)
-----------------------
- Transportation map update:
  - Added flight point - Vendetta Point (Horde) in Southern Barrens, Kalimdor

  
v1.19.1 (May 06, 2011)
-----------------------


v1.19.0 (Apr. 28, 2011)
-----------------------
- Support WoW 4.1


v1.18.3 (Apr. 13, 2011)
-----------------------
- Transportation maps update


v1.18.2 (Jan. 28, 2011)
-----------------------


v1.18.1 (Jan. 06, 2011)
-----------------------
  
  
v1.18.0 (Dec. 07, 2010)
-----------------------
- Prepared Atlas for the Cataclysm Maps


v1.17.2 (Oct. 18, 2010)
-----------------------


v1.17.1 (Oct. 13, 2010)
-----------------------
- support WoW 4.0


v1.17.0 (Aug. 15, 2010)
-----------------------
